;--------------------------
; config.inc
;--------------------------

	list	p=16f690
#include    <p16f690.inc>

;***************************************
; General port configuration
;
; Port A 0 - RS232 OUT
; Port B 4 - SMBus - SDA
; Port B 5 - SMBus - SCL
; Port B 6 - Display RS
; Port B 7 - Display E
; Port C   - Display OUT
;***************************************


;#define CLOCKSPEED      .20000000	; 20 MHz Osc
#define CLOCKSPEED       .8000000	; 8 MHz Osc
;#define CLOCKSPEED      .4000000	; 4 MHz Osc


;***************************************
; Values required by smbus.asm
;***************************************
; Define which ports are used for the SMBus
#define SMBUS_PORT_BANK PORTB
#define SMBUS_PORT_SDA	PORTB, 4
#define SMBUS_PORT_SCL	PORTB, 5
#define SMBUS_TRIS_BANK TRISB
#define SMBUS_TRIS_SDA  TRISB, 4
#define SMBUS_TRIS_SCL  TRISB, 5



;***************************************
; Values required by rs232.asm
;***************************************
#define RS232_PORT 		PORTA, 0
#define RS232_BAUD		.9600


;***************************************
; Values required by display.asm
;***************************************
#define DISPLAY_PORT	PORTC
#define DISPLAY_PORT_RS	PORTB, 6
#define DISPLAY_PORT_E	PORTB, 7